# Installation Instructions
The package depends on the `mda` package (see: [mda @ cran.r-project](https://cran.r-project.org/web/packages/mda/index.html). Therefore the first step is to install the `mda` package
```R
install.packages("mda")
```
A release will be available in a few days.

- Linux: Not available jet (one or two days, state 17.12.2019)
- Windows: Not available jet (one or two days, state 17.12.2019)
- MacOS: Not available jet (unknown)

Open `R` and then the following:
```R
# addapt to download file.
install.packages("path/to/cve_0.2.<end>", repos = NULL)
library(CVE) # Test installation.
```
Please consult the man-pages `?install.package` and `?library` for further information.

## Installing Source
Cloning the `CVE` repository and using `R`'s build and install routines from a terminal.
```bash
git clone https://git.art-ist.cc/daniel/CVE.git  # Clone repository
cd CVE                                           # Go into the repository
R CMD build CVE                                  # Build package tarbal
R CMD INSTALL CVE_0.2.tar.gz                     # Install package
```

### Windows / macOS
Installing from source (for any package which contains compiled code, in our case `C`) on Windows and MacOS requires additional tools.
See _R Installation and Administration_ from [r-project manuals](https://cran.r-project.org/manuals.html).

# Repository Structure
The repository is structured in two directories, the `CVE/` directory which is the `R` package root and `simulations/` where all simulation scripts can be found (and `README.md` which is this).
